import { Cipher, Signer } from '@cmdcode/crypto-utils';
export interface PayloadData {
    token: string;
    data: string;
}
export declare class CryptoSession {
    private readonly secret;
    peerKey: Uint8Array;
    static generate(peerKey: string | Uint8Array): CryptoSession;
    static withToken(token: string, secretKey: string | Uint8Array): CryptoSession;
    constructor(peerKey: string | Uint8Array, secretKey: string | Uint8Array);
    get cipher(): Cipher;
    get signer(): Signer;
    get pubKey(): Uint8Array;
    get sharedSecret(): Promise<Uint8Array>;
    get sharedHash(): Promise<Uint8Array>;
    getSignature(token: string): Promise<Uint8Array>;
    encrypt(data: Uint8Array): Promise<Uint8Array>;
    decrypt(data: Uint8Array): Promise<Uint8Array>;
    encode(payload: string): Promise<PayloadData>;
    decode(token: string, payload: string): Promise<string>;
    verify(token: string, bytes: Uint8Array): Promise<boolean>;
}
//# sourceMappingURL=session.d.ts.map